Package org.eclipse.net4j.util.ui

# Class AbstractPropertyAdapterFactory

java.lang.Object
org.eclipse.net4j.util.ui.AbstractPropertyAdapterFactory

All Implemented Interfaces:
  `IAdapterFactory`

public abstract class AbstractPropertyAdapterFactory extends Object implements IAdapterFactory

Since:
  3.2
Author:
  Eike Stepper

## Field Summary

### Fields inherited from interface org.eclipse.core.runtime.IAdapterFactory

`SERVICE_PROPERTY_ADAPTABLE_CLASS, SERVICE_PROPERTY_ADAPTER_NAMES`

## Constructor Summary

Constructors
Constructor
Description
`AbstractPropertyAdapterFactory()`

## Method Summary

Modifier and Type
Method
Description
`protected IActionFilter`
`createActionFilter(Object object)`
`protected abstract IPropertySource`
`createPropertySource(Object object)`
`<T> T`
`getAdapter(Object adaptableObject, Class<T> adapterType)`
`Class<?>[]`
`getAdapterList()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AbstractPropertyAdapterFactory

public AbstractPropertyAdapterFactory()

## Method Details

### getAdapterList

public Class<?>[] getAdapterList()

Specified by:
  `getAdapterList` in interface `IAdapterFactory`

### getAdapter

public <T> T getAdapter(Object adaptableObject, Class<T> adapterType)

Specified by:
  `getAdapter` in interface `IAdapterFactory`

### createPropertySource

protected abstract IPropertySource createPropertySource(Object object)

### createActionFilter

protected IActionFilter createActionFilter(Object object)

Since:
  3.4